org.gradle.api.artifacts.component

## Interface ProjectComponentIdentifier

- All Superinterfaces:
    ComponentIdentifier

      @Incubating
      public interface ProjectComponentIdentifier
      extends ComponentIdentifier

  An identifier for a component instance that is built as part of the current build.
  Since:
    1.10

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BuildIdentifier` | `getBuild()` Identifies the build that contains the project component.
    `String` | `getProjectPath()` Returns the path of the project which the component belongs to.

    - ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentIdentifier

      `getDisplayName`

- - ### Method Detail

    - #### getBuild

          BuildIdentifier getBuild()

      Identifies the build that contains the project component.
      Returns:
        The build identifier

    - #### getProjectPath

          String getProjectPath()

      Returns the path of the project which the component belongs to.
      Since:
        1.10